Vendor Add-ons

Looking at what the other vendors of Intellicad offer, I was wondering if in the future would Bricscad have additional tools like 300+ hatch patterns, PDF output, symbol libraries and etc.

Comments

  • Check out Tangent Tools V2, a free Bricscad Add-on, available at: http://www.tangentdesign.ro/en/product_p6.html

  • There are numerous free options for PDF output, many outlined in the thread in this forum from last April. I've been happy with the GPL'd PDFCreator, available on Sourceforge.

  • The Tangent Tools add-ons look very nice. I would love to use them, but I can't read the language... I guess it is Romanian? Can anyone recommend a web translation service that can do this language?Joe Dunfee

  • I also had a look. Indeed, it's very nice. Thanx Tangent Tools !

  • In my turn, I would like to pass on the bricscad community for free a little lisp routine i done some yeas ago. It allows to draw lands provided that you know the corners of your land in X and Y.Copy the text below with a notepad, name your file surveyor.lsp, load it in bricscad and tap SURV in the prompt command for beginning. It works fine for me.;SURVEYOR.LSP - par Richard Stas - le 07/12/95;Permet de dessiner les limites d'un terrain en connaissant les coordonnees;en X et Y de divers points par rapport a une station de travail du geometre.;This program allows you to draw limits of a land, knowing all the corners ;in X and Y of this land. This program is provided "as is".His use is;under your own risk.This program is now for the Bricscad community and cannot;be sold.- Added by Richard Stas - on 2007/06/30.;Modif 01 - Ex: enter 0: - added on 2007/06/30;****************************************************************************(defun c:surv (/ ech sta stax stay realstax realstay x1 y1 pt1 x2 y2 pt2 distx1 distx1ech disty1 disty1ech rx1 ry1 ptn1 distx2 distx2ech disty2 disty2ech rx2 ry2 ptn2 d conti x3 y3 pt3 distx3 disty3 distx3ech disty3ech rx3 ry3 ptn3);1-Definition des variables (setvar "blipmode" 1) (setvar "cmdecho" 0) (setvar "orthomode" 0) (setvar "snapmode" 0) ;2-Echelle du dessin (initget (+ 1 2 4)) (setq ech (getreal"\nEchelle du dessin ? 1=1:100, 0.50=1:200,... : "));3-Definition de l emplacement de la station de travail. (setq sta (getpoint "\nPiquez l'emplacement de votre station: ") stax (car sta) stay (cadr sta));4-Definition des coordonnees reelles de la station. (setq realstax (getreal "\nEntrez la coordonnee reelle en X de la station -> Ex: enter 0: ")) (setq realstay (getreal "\nEntrez la coordonnee reelle en Y de la station -> Ex: enter 0: "));5-Entrees des coodonnees pour le tracage des lignes. (setq x1 (getreal "\nEntrez la valeur en X1 -> Ex: 12.521 :") y1 (getreal "\nEntrez la valeur en Y1 -> Ex: 21.125 :") pt1 (list x1 y1) x2 (getreal "\nEntrez la valeur en X2 -> Ex: 12.001 :") y2 (getreal "\nEntrez la valeur en Y2 -> Ex: 21.000 :") pt2 (list x2 y2));6-Calcul des decalages reels par rapport a la station. (setq distx1 (- x1 realstax) distx1ech (* distx1 ech) disty1 (- y1 realstay) disty1ech (* disty1 ech) rx1 (+ distx1ech stax) ry1 (+ disty1ech stay) ptn1 (list rx1 ry1) distx2 (- x2 realstax) distx2ech (* distx2 ech) disty2 (- y2 realstay) disty2ech (* disty2 ech) rx2 (+ distx2ech stax) ry2 (+ disty2ech stay) ptn2 (list rx2 ry2));7-Tracage de la ligne (command "line" ptn1 ptn2 "");8-Boucle pour la poursuite du tracage ou non. (setq d T) (while d (initget 1 "O N") (setq conti (getkword"\nVoulez-vous continuer ? (O) ou (N): ") conti (strcase conti));8a-Si Non. (if (= conti "N") (progn (setq d nil) (Prompt"\nSurveyor.lsp - par Richard Stas - le 07/12/95.") );fin du progn );fin du if;8b-Si Oui. (if (= conti "O") (progn (setq x3 (getreal "\nEntrez la valeur en X3 -> Ex: 12.001 :") y3 (getreal "\nEntrez la valeur en Y3 -> Ex: 21.000 :") pt3 (list x3 y3) distx3 (- x3 realstax) distx3ech (* distx3 ech) disty3 (- y3 realstay) disty3ech (* disty3 ech) rx3 (+ distx3ech stax) ry3 (+ disty3ech stay) ptn3 (list rx3 ry3));9-Tracage de la ligne suivante (command "line" ptn2 ptn3 "") (setq ptn2 ptn3) );fin du progn );fin du if );fin du while;10-Fin general (princ));****************************************************************************

  • Hello!Encourage reactions! Thank you!If you want to use Tangent Tools Bricscad Add-on in english, if now appear in romanian, just modifiy the text in the file language.txt from “ro” to “en”. In my computer the path to language.txt is “C:\Program Files\Tangent Tools\Language\language.txt”If you want to use in your on language, let' s say german or hungarian language, simply you have to translate in your language all text file paragraphs from “tangentools.txt” like below:EN STATIC 11600 FileRO STATIC 11600 FisiereDE STATIC 11600 DateiHU STATIC 11600 FileEN STATIC 11601 EditRO STATIC 11601 EditareDE STATIC 11601 BearbeitenHU STATIC 11601 SzerkesztésEN STATIC 11602 ViewRO STATIC 11602 VedereDE STATIC 11602 AnzeigeHU STATIC 11602 NézetIn my computer the path to tangenttools.txt is “C:\Program Files\Tangent Tools\Language\tangenttools.txt”After translation, just modifiy curent ID language in the language.txt to your convenient language ID choose. For exemple, using german as current language erase previous ID and just put “de” in it.Restart Bricscad and Tangent Tools, of course and that's it!Try it , have to be very simple, but do not modify any numbers in tangenttools.txt file , only text!Kind regards!Ioan

This discussion has been closed.